<?php
	
	/*---------------------------First highlight color-------------------*/

	$vw_parallax_first_color = get_theme_mod('vw_parallax_first_color');

	$custom_css = '';

	if($vw_parallax_first_color != false){
		$custom_css .='#header .main-navigation ul.sub-menu li a:hover, .more-btn a, .about-btn a, #slider .carousel-control-prev-icon:hover, #slider .carousel-control-next-icon:hover, .catgory-box:hover, #sidebar .custom-social-icons i, #footer .custom-social-icons i, #footer .tagcloud a:hover, .scrollup i, #footer-2, input[type="submit"], .content-bttn a, .pagination span, .pagination a, #sidebar .tagcloud a:hover, nav.woocommerce-MyAccount-navigation ul li, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .error-btn a{';
			$custom_css .='background-color: '.esc_html($vw_parallax_first_color).';';
		$custom_css .='}';
	}
	if($vw_parallax_first_color != false){
		$custom_css .='#comments input[type="submit"].submit{';
			$custom_css .='background-color: '.esc_html($vw_parallax_first_color).'!important;';
		$custom_css .='}';
	}
	if($vw_parallax_first_color != false){
		$custom_css .='a, #header .main-navigation ul li a:hover, #slider .inner_carousel h2, #about h3, #footer .custom-social-icons i:hover, #footer li a:hover, .post-main-box:hover h3 a, .woocommerce-info::before, .woocommerce-message::before, .post-navigation a:hover .post-title, .post-navigation a:focus .post-title, .entry-content a, .main-navigation .current_page_item > a, .main-navigation .current-menu-item > a{';
			$custom_css .='color: '.esc_html($vw_parallax_first_color).';';
		$custom_css .='}';
	}
	if($vw_parallax_first_color != false){
		$custom_css .='#top-header, .post-info hr, .woocommerce-info, .woocommerce-message{';
			$custom_css .='border-top-color: '.esc_html($vw_parallax_first_color).';';
		$custom_css .='}';
	}
	if($vw_parallax_first_color != false){
		$custom_css .='.home-page-header{';
			$custom_css .='border-bottom-color: '.esc_html($vw_parallax_first_color).';';
		$custom_css .='}';
	}
	if($vw_parallax_first_color != false){
		$custom_css .='#topbar{
		background: rgba(0, 0, 0, 0) linear-gradient(60deg, transparent 3%,'.esc_html($vw_parallax_first_color).' 0%) scroll 0 0;
		}';
	}

	/*---------------------------Width Layout -------------------*/

	$theme_lay = get_theme_mod( 'vw_parallax_width_option','Full Width');
    if($theme_lay == 'Boxed'){
		$custom_css .='body{';
			$custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$custom_css .='}';
		$custom_css .='.page-template-custom-home-page .main-header{';
			$custom_css .='width: 97%; top: 1em;';
		$custom_css .='}';
	}else if($theme_lay == 'Wide Width'){
		$custom_css .='body{';
			$custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$custom_css .='}';
	}else if($theme_lay == 'Full Width'){
		$custom_css .='body{';
			$custom_css .='max-width: 100%;';
		$custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$theme_lay = get_theme_mod( 'vw_parallax_slider_opacity_color','0.5');
	if($theme_lay == '0'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0';
		$custom_css .='}';
		}else if($theme_lay == '0.1'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.1';
		$custom_css .='}';
		}else if($theme_lay == '0.2'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.2';
		$custom_css .='}';
		}else if($theme_lay == '0.3'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.3';
		$custom_css .='}';
		}else if($theme_lay == '0.4'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.4';
		$custom_css .='}';
		}else if($theme_lay == '0.5'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.5';
		$custom_css .='}';
		}else if($theme_lay == '0.6'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.6';
		$custom_css .='}';
		}else if($theme_lay == '0.7'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.7';
		$custom_css .='}';
		}else if($theme_lay == '0.8'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.8';
		$custom_css .='}';
		}else if($theme_lay == '0.9'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.9';
		$custom_css .='}';
		}

	/*---------------------------Slider Content Layout -------------------*/

	$theme_lay = get_theme_mod( 'vw_parallax_slider_content_option','Center');
    if($theme_lay == 'Left'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h2{';
			$custom_css .='text-align:left; left:15%; right:45%;';
		$custom_css .='}';
	}else if($theme_lay == 'Center'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h2{';
			$custom_css .='text-align:center; left:20%; right:20%;';
		$custom_css .='}';
	}else if($theme_lay == 'Right'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h2{';
			$custom_css .='text-align:right; left:45%; right:15%;';
		$custom_css .='}';
	}