<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package VW Parallax
 */

get_header(); ?>

<main id="maincontent" role="main" class="content-vw">
	<div class="container">
    	<h1><?php printf( '<strong>%s</strong> %s', esc_html__( '404','vw-parallax' ), esc_html__( 'Not Found', 'vw-parallax' ) ) ?></h1>	
		<p class="text-404"><?php esc_html_e( 'Looks like you have taken a wrong turn&hellip', 'vw-parallax' ); ?></p>
		<p class="text-404"><?php esc_html_e( 'Dont worry&hellip it happens to the best of us.', 'vw-parallax' ); ?></p>
		<div class="error-btn">
    		<a href="<?php echo esc_url(home_url()); ?>"><?php esc_html_e( 'Return to the home page', 'vw-parallax' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Return to the home page','vw-parallax' );?></span></a>
		</div>
		<div class="clearfix"></div>
	</div>
</main>

<?php get_footer(); ?>